field_expr_v2_nonlinear_terminal_function_rep< h_local_pseudo_function< T > >
Inheritance diagram for field_expr_v2_nonlinear_terminal_function_rep< h_local_pseudo_function< T > >:

## Public Types

typedef field_expr_v2_nonlinear_terminal_function_base_rep< T > | base
typedef geo_element::size_type | size_type
typedef rheo_default_memory_model | memory_type
typedef h_local_pseudo_function< T > | function_type
typedef T | result_type
typedef point_basic< T > | argument_type
typedef T | scalar_type
typedef T | float_type
typedef result_type | value_type

## Public Member Functions

| field_expr_v2_nonlinear_terminal_function_rep (const function_type &)
| field_expr_v2_nonlinear_terminal_function_rep (const field_expr_v2_nonlinear_terminal_function_rep< h_local_pseudo_function< T > > &)
space_constant::valued_type | valued_tag () const
void | initialize (const piola_on_pointset< float_type > &pops, const integrate_option &iopt) const
void | initialize (const space_basic< float_type, memory_type > &Xh, const piola_on_pointset< float_type > &pops, const integrate_option &iopt) const
void | evaluate (const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, Eigen::Matrix< result_type, Eigen::Dynamic, 1 > &value) const
void | evaluate_on_side (const geo_basic< float_type, memory_type > &omega_L, const geo_element &L, const side_information_type &sid, Eigen::Matrix< result_type, Eigen::Dynamic, 1 > &value) const
template<class Value >
bool | valued_check () const

## Static Public Attributes

static const space_constant::valued_type | valued_hint = space_constant::scalar

## Detailed Description

### template<class T>
class rheolef::details::field_expr_v2_nonlinear_terminal_function_rep< h_local_pseudo_function< T > >

Definition at line 458 of file field_expr_terminal.h.

## Member Typedef Documentation

## base

typedef field_expr_v2_nonlinear_terminal_function_base_rep<T> base

Definition at line 463 of file field_expr_terminal.h.

## size_type

typedef geo_element::size_type size_type

Definition at line 464 of file field_expr_terminal.h.

## memory_type

typedef rheo_default_memory_model memory_type

Definition at line 465 of file field_expr_terminal.h.

## function_type

typedef h_local_pseudo_function<T> function_type

Definition at line 466 of file field_expr_terminal.h.

## result_type

typedef T result_type

Definition at line 467 of file field_expr_terminal.h.

## argument_type

typedef point_basic<T> argument_type

Definition at line 468 of file field_expr_terminal.h.

## scalar_type

typedef T scalar_type

Definition at line 469 of file field_expr_terminal.h.

## float_type

typedef T float_type

Definition at line 470 of file field_expr_terminal.h.

## value_type

typedef result_type value_type

Definition at line 471 of file field_expr_terminal.h.

## Constructor & Destructor Documentation

## field_expr_v2_nonlinear_terminal_function_rep() [1/2]

field_expr_v2_nonlinear_terminal_function_rep | ( | const function_type & |  | ) |

Definition at line 196 of file field_expr_terminal.cc.

## field_expr_v2_nonlinear_terminal_function_rep() [2/2]

field_expr_v2_nonlinear_terminal_function_rep | ( | const field_expr_v2_nonlinear_terminal_function_rep< h_local_pseudo_function< T > > & | x | ) |

Definition at line 202 of file field_expr_terminal.cc.

## Member Function Documentation

## valued_tag()

space_constant::valued_type valued_tag | ( |  | ) | const

Definition at line 482 of file field_expr_terminal.h.

## initialize() [1/2]

void initialize | ( | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  | const

Definition at line 209 of file field_expr_terminal.cc.

## initialize() [2/2]

void initialize | ( | const space_basic< float_type, memory_type > & | Xh,
|  | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  | const

Definition at line 217 of file field_expr_terminal.cc.

## evaluate()

void evaluate | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | Eigen::Matrix< result_type, Eigen::Dynamic, 1 > & | value
| ) |  | const

Definition at line 226 of file field_expr_terminal.cc.

## evaluate_on_side()

void evaluate_on_side | ( | const geo_basic< float_type, memory_type > & | omega_L,
|  | const geo_element & | L,
|  | const side_information_type & | sid,
|  | Eigen::Matrix< result_type, Eigen::Dynamic, 1 > & | value
| ) |  | const

Definition at line 277 of file field_expr_terminal.cc.

## valued_check()

bool valued_check | ( |  | ) | const

Definition at line 505 of file field_expr_terminal.h.

## Member Data Documentation

## valued_hint

const space_constant::valued_type valued_hint = space_constant::scalar

static

Definition at line 480 of file field_expr_terminal.h.

The documentation for this class was generated from the following files:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/field_expr_terminal.h
- /build/rheolef-bzr82u/rheolef-7.1/main/lib/field_expr_terminal.cc